[PATCH] scripts: minor decodecode update

Previous thread: [PATCH] doc: use correct debugfs mountpoint by Randy Dunlap on Monday, January 14, 2008 - 7:14 pm. (1 message)

Next thread: New type of DTV2000H TV Card by Zbynek Hrabovsky on Monday, January 14, 2008 - 9:06 pm. (1 message)
To: lkml <linux-kernel@...>
Cc: akpm <akpm@...>, samr <sam@...>
Date: Monday, January 14, 2008 - 7:18 pm

From: Randy Dunlap <randy.dunlap@oracle.com>

Remove the tmp file when exiting. Noticed by Arjan van de Ven.
Catch mktemp failure and exit with message.
Trap kill or other signals and exit cleanly.

Signed-off-by: Randy Dunlap <randy.dunlap@oracle.com>
---
scripts/decodecode | 17 +++++++++++++++--
1 file changed, 15 insertions(+), 2 deletions(-)

--- linux-2.6.24-rc7.orig/scripts/decodecode
+++ linux-2.6.24-rc7/scripts/decodecode
@@ -6,7 +6,19 @@
# e.g., to decode an i386 oops on an x86_64 system, use:
# AFLAGS=--32 decodecode < 386.oops

-T=`mktemp`
+cleanup() {
+ rm -f $T $T.s $T.o
+ exit 1
+}
+
+die() {
+ echo "$@"
+ exit 1
+}
+
+trap cleanup EXIT
+
+T=`mktemp` || die "cannot create temp file"
code=

while read i ; do
@@ -20,6 +32,7 @@ esac
done

if [ -z "$code" ]; then
+ rm $T
exit
fi

@@ -48,4 +61,4 @@ echo -n " .byte 0x" > $T.s
echo $code >> $T.s
as $AFLAGS -o $T.o $T.s
objdump -S $T.o
-rm $T.o $T.s
+rm $T $T.s $T.o
--

To: Randy Dunlap <randy.dunlap@...>
Cc: lkml <linux-kernel@...>, akpm <akpm@...>
Date: Wednesday, January 16, 2008 - 5:30 pm

Applied,

Sam
--

Previous thread: [PATCH] doc: use correct debugfs mountpoint by Randy Dunlap on Monday, January 14, 2008 - 7:14 pm. (1 message)

Next thread: New type of DTV2000H TV Card by Zbynek Hrabovsky on Monday, January 14, 2008 - 9:06 pm. (1 message)